# Set test orders in InLine Cart

## Overview

Set the test mode in order to use **card-based payment methods** and **eCheck/ACH** using test cards and test cardholder names.

## Use case

1. Add an HTML link or button in your page like the one below.
2. Create a JavaScript click handler to execute the Inline Client desired methods.
3. Use the`TwoCoInlineCart.products.add({code, quantity, options})`method to prepare your catalog product.
4. In order to test mode use`TwoCoInlineCart.cart.setTest(true)`.
5. Use the`TwoCoInlineCart.cart.checkout()`method to show the cart on your page.

## Sample request

### HTML

```html
<a href="#" class="btn btn-success" id="buy-button">Buy now!</a>
```

### Javascript

```javascript
window.document.getElementById('buy-button').addEventListener('click', function() {
  TwoCoInlineCart.products.add({
    code: "74B8E17CC0"
  });
  TwoCoInlineCart.cart.setTest(true);
  TwoCoInlineCart.cart.checkout();
});
```

## Demo

After adding the products to the InLine cart using the above method for testing purposes, your cart should look like this:

{% embed url="<https://codepen.io/2checkout-documentation/pen/gNbVjK>" %}

### Test cards

| Card type  | Card number      |
| ---------- | ---------------- |
| VISA       | 4111111111111111 |
| MasterCard | 5555555555554444 |
| AMEX       | 378282246310005  |
| Discover   | 6011111111111117 |
| JCB        | 3566111111111113 |

<table><thead><tr><th width="562">Use case — To achieve the desired result use the corresponding cardholder names.</th><th>Cardholder name</th></tr></thead><tbody><tr><td>Successful authorization for the initial transaction and all recurring charges.</td><td>John Doe</td></tr><tr><td>Successful authorization for the initial transaction and manual renewal transactions but recurring charges fail to authorize with the <strong>Insufficient Funds</strong> error message.</td><td>Mike Doe</td></tr><tr><td>Successful authorization for the initial transaction and manual renewal transactions but recurring charges fail to authorize with the <strong>Stolen Card</strong> error message.</td><td>Jenny Doe</td></tr><tr><td><strong>Insufficient funds</strong></td><td>Mona Doe</td></tr><tr><td><strong>Try again later</strong></td><td>Mark Doe</td></tr><tr><td><strong>Stolen card</strong></td><td>Red Doe</td></tr><tr><td><strong>Authentication failed</strong></td><td>Joy Doe</td></tr><tr><td><strong>Expired card</strong></td><td>Angela Doe</td></tr><tr><td><strong>Invalid card number</strong></td><td>Adrian Doe</td></tr><tr><td><strong>Invalid CVV</strong></td><td>Jack Doe</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.2checkout.com/shopping-carts/inline/use-cases/set-test-orders-in-inline-cart.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
